# BDIO in Julia

This package provides an interface to read/write
[BDIO](http://bdio.org/) (**B**inary **D**ata **I**nput/**O**utput)
files in Julia. 

## Index

```@index
```


## Setting up global information

```@docs
BDIO_set_user
BDIO_set_host
```

### Openning/closing `BDIO` files

```@docs
BDIO_open
BDIO_close!
```

## Writing data to `BDIO` files

```@docs
BDIO_start_record!
BDIO_write!
BDIO_write_hash!
```

## Reading data from `BDIO` files

```@docs
BDIO_read
BDIO_seek!
```

## Obtaining information about `BDIO` records

```@docs
BDIO_get_uinfo
BDIO_get_len
BDIO_get_fmt
```

